/**
 * Created by robin on 01/31/16.
 */

(function () {
    'use strict';
    angular.module('luticateAuth')
        .factory('luticateAuthSettings', ['luticateRequest',
            function(luticateRequest) {

                var luticateAuthSettings = {};
                var url = "/api/luticate/settings/";

                luticateAuthSettings.getAll = function(data, promise)
                {
                    return luticateRequest.get(url, data, promise);
                };

                luticateAuthSettings.get = function(data, promise)
                {
                    return luticateRequest.get(url + data.setting_name, null, promise);
                };

                luticateAuthSettings.edit = function(data, promise)
                {
                    return luticateRequest.post(url + data.setting_name + "/edit", {setting: JSON.stringify(data.setting)}, null, promise);
                };

                luticateAuthSettings.add = function(data, promise)
                {
                    return luticateRequest.post(url + "add", {setting: JSON.stringify(data)}, null, promise);
                };

                luticateAuthSettings.del = function(data, promise)
                {
                    return luticateRequest.post(url + data.setting_name + "/del", null, null, promise);
                };

                luticateAuthSettings.getEffectiveUser = function(data, promise)
                {
                    return luticateRequest.get(url + "effective/" + data.user_id + "/" + data.setting_name, null, promise);
                };

                luticateAuthSettings.getAllEffectiveUser = function(data, promise)
                {
                    return luticateRequest.get(url + "effective/" + data.user_id, null, promise);
                };

                luticateAuthSettings.getEffectiveMe = function(data, promise)
                {
                    return luticateRequest.get(url + "effective/me/" + data.setting_name, null, promise);
                };

                luticateAuthSettings.getAllEffectiveMe = function(promise)
                {
                    return luticateRequest.get(url + "effective/me", null, promise);
                };

                return luticateAuthSettings;
        }]);
})();